| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::MeshLodGenerator Class Reference
Optional Components » MeshLodGenerator

`#include <OgreMeshLodGenerator.h>`

Inheritance diagram for Ogre::MeshLodGenerator:
[legend]

## Public Member Functions
| MeshLodGenerator ()
| Generates the Lod levels for a mesh. More...
virtual | ~MeshLodGenerator ()
void | _generateManualLodLevels (LodConfig &lodConfig)
| If you only use manual Lod levels, then you don't need to build LodData mesh representation. More...
void | _initWorkQueue ()
void | _process (LodConfig &lodConfig, LodCollapseCost *cost, LodData *data, LodInputProvider *input, LodOutputProvider *output, LodCollapser *collapser)
void | _resolveComponents (LodConfig &lodConfig, LodCollapseCostPtr &cost, LodDataPtr &data, LodInputProviderPtr &input, LodOutputProviderPtr &output, LodCollapserPtr &collapser)
void | generateAutoconfiguredLodLevels (MeshPtr &mesh)
| Generates the Lod levels for a mesh without configuring it. More...
virtual void | generateLodLevels (LodConfig &lodConfig, LodCollapseCostPtr cost=LodCollapseCostPtr(), LodDataPtr data=LodDataPtr(), LodInputProviderPtr input=LodInputProviderPtr(), LodOutputProviderPtr output=LodOutputProviderPtr(), LodCollapserPtr collapser=LodCollapserPtr())
| Generates the Lod levels for a mesh. More...
void | getAutoconfig (MeshPtr &inMesh, LodConfig &outLodConfig)
| Fills Lod Config with a config, which works on any mesh. More...

## Static Public Member Functions
static void | _configureMeshLodUsage (const LodConfig &lodConfig)
static MeshLodGenerator & | getSingleton ()
static MeshLodGenerator * | getSingletonPtr ()

## Constructor & Destructor Documentation

## ◆ MeshLodGenerator()

Ogre::MeshLodGenerator::MeshLodGenerator | ( |  | ) |

Generates the Lod levels for a mesh.

## ◆ ~MeshLodGenerator()

virtual Ogre::MeshLodGenerator::~MeshLodGenerator | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getSingletonPtr()

static MeshLodGenerator* Ogre::MeshLodGenerator::getSingletonPtr | ( |  | ) |
| static

## ◆ getSingleton()

static MeshLodGenerator& Ogre::MeshLodGenerator::getSingleton | ( |  | ) |
| static

## ◆ generateLodLevels()

virtual void Ogre::MeshLodGenerator::generateLodLevels | ( | LodConfig & | lodConfig,
|  | LodCollapseCostPtr | cost = `LodCollapseCostPtr()`,
|  | LodDataPtr | data = `LodDataPtr()`,
|  | LodInputProviderPtr | input = `LodInputProviderPtr()`,
|  | LodOutputProviderPtr | output = `LodOutputProviderPtr()`,
|  | LodCollapserPtr | collapser = `LodCollapserPtr()`
| ) |  |
| virtual

Generates the Lod levels for a mesh.

Parameters

  lodConfig | Specification of the requested Lod levels.

## ◆ generateAutoconfiguredLodLevels()

void Ogre::MeshLodGenerator::generateAutoconfiguredLodLevels | ( | MeshPtr & | mesh | ) |

Generates the Lod levels for a mesh without configuring it.

Parameters

  mesh | Generate the Lod for this mesh.

## ◆ getAutoconfig()

void Ogre::MeshLodGenerator::getAutoconfig | ( | MeshPtr & | inMesh,
|  | LodConfig & | outLodConfig
| ) |  |

Fills Lod Config with a config, which works on any mesh.

Parameters

  inMesh | Optimize for this mesh.
  outLodConfig | Lod configuration storing the output.

## ◆ _configureMeshLodUsage()

static void Ogre::MeshLodGenerator::_configureMeshLodUsage | ( | const LodConfig & | lodConfig | ) |
| static

## ◆ _resolveComponents()

void Ogre::MeshLodGenerator::_resolveComponents | ( | LodConfig & | lodConfig,
|  | LodCollapseCostPtr & | cost,
|  | LodDataPtr & | data,
|  | LodInputProviderPtr & | input,
|  | LodOutputProviderPtr & | output,
|  | LodCollapserPtr & | collapser
| ) |  |

## ◆ _process()

void Ogre::MeshLodGenerator::_process | ( | LodConfig & | lodConfig,
|  | LodCollapseCost * | cost,
|  | LodData * | data,
|  | LodInputProvider * | input,
|  | LodOutputProvider * | output,
|  | LodCollapser * | collapser
| ) |  |

## ◆ _generateManualLodLevels()

void Ogre::MeshLodGenerator::_generateManualLodLevels | ( | LodConfig & | lodConfig | ) |

If you only use manual Lod levels, then you don't need to build LodData mesh representation.

This function will generate manual Lod levels without overhead, but every Lod level needs to be a manual Lod level.

## ◆ _initWorkQueue()

void Ogre::MeshLodGenerator::_initWorkQueue | ( |  | ) |

The documentation for this class was generated from the following file:

- OgreMeshLodGenerator.h